﻿@model StarterProjectV2.ViewModels.CommentViewModel

@{
    ViewData["Title"] = "Approve This Comment";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
   Comment View
}
<body style="background-color: oldlace">
<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

<div class="card">

    <div class="card-body">

        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Comment Id</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.CommentId, new { @class = "form-control", placeholder = "Post Id", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.CommentId)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Commneted By</label>
            @*<div class="col-md-2">

                @Html.TextBoxFor(m => m.CommentorId, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.CommentorId)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Commenter Name</label>
            @*<div class="col-md-2">

                @Html.TextBoxFor(m => m.OwnersName, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.OwnersName)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Comment Text</label>
            @*<div class="col-md-5">
                @Html.TextAreaFor(m => m.CommentText, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.CommentText)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Poster Name</label>
            @*<div class="col-md-2">

                @Html.TextBoxFor(m => m.PosterName, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.PosterName)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Post Title</label>
            @*<div class="col-md-5">
                @Html.TextBoxFor(m => m.PostHeader, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.PostHeader)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Post Text</label>
            @*<div class="col-md-5">
                @Html.TextAreaFor(m => m.PostText, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.PostText)
                </p>
            </div>

        </div>
    </div>
    <div class="card-footer">
        @{
            if (Model.Approval == false)
            {
                <button type="submit" class="submit btn btn-sm btn-success" onclick="location.href = '@Url.Action("CommentApprove", "OwnersInfo", new {commentId = Model.CommentId})'">
                    <i class="fa fa-dot-circle-o"></i> Approve
                </button>
            }
            else
            {
                <button type="submit" class="active btn btn-sm btn-success" disabled>
                    <i class="fa fa-dot-circle-o"></i> Approved
                </button>
            }
        }


        <button type="reset" class="reset btn btn-sm btn-danger" onclick="location.href = '@Url.Action("CommentDelete", "OwnersInfo", new {commentId = Model.CommentId})'">
            <i class="fa fa-ban"></i> Delete
        </button>
        <button type="button" class="btn btn-sm btn-primary m-1" onclick="javascript:window.history.back();">
            <i class="fa fa-angle-left"></i> Back
        </button>
    </div>
</div>
</body>
<script>
    $(document).ready(function () {
        $(document).ready(function () {
            $("#newItem").remove();
            $("#editItem").remove();
            $("#saveItem").remove();
            $("#deleteItem").remove();
            $('#printItem').click(function () {
                window.print();
            });
            $('#reloadItem').click(function () {
                location.reload();
            });
            $("#reportItem").remove();
            $("#dashboardItem").click(function () {
            });
        });
    });
</script>


